# Class ErrorResponse | EchoHub Documentation

# Class ErrorResponse

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record ErrorResponse : IEquatable<ErrorResponse>

Inheritance
  object
  ErrorResponse

Implements
  IEquatable<ErrorResponse>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ErrorResponse(ErrorResponse)

    protected ErrorResponse(ErrorResponse original)

#### Parameters

`original` ErrorResponse

### ErrorResponse(string, string?)

    public ErrorResponse(string Error, string? Detail = null)

#### Parameters

`Error` string
`Detail` string

## Properties

### Detail

    public string? Detail { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Error

    public string Error { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string?)

    public void Deconstruct(out string Error, out string? Detail)

#### Parameters

`Error` string
`Detail` string

### Equals(ErrorResponse?)

    public virtual bool Equals(ErrorResponse? other)

#### Parameters

`other` ErrorResponse

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ErrorResponse?, ErrorResponse?)

    public static bool operator ==(ErrorResponse? left, ErrorResponse? right)

#### Parameters

`left` ErrorResponse
`right` ErrorResponse

#### Returns

bool

### operator !=(ErrorResponse?, ErrorResponse?)

    public static bool operator !=(ErrorResponse? left, ErrorResponse? right)

#### Parameters

`left` ErrorResponse
`right` ErrorResponse

#### Returns

bool